Bug 561243 - Review Request: meshlab - A system for processing and editing unstructured 3D triangular meshes
Summary: Review Request: meshlab - A system for processing and editing unstructured 3D...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-03 06:25 UTC by Eric Smith
Modified: 2012-03-12 19:51 UTC (History)
4 users (show)

Fixed In Version: meshlab-1.2.2-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-15 20:34:40 UTC
martin.gieseking: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eric Smith 2010-02-03 06:25:16 UTC
Spec URL: http://fedorapeople.org/~brouhaha/meshlab/meshlab.spec
SRPM URL: http://fedorapeople.org/~brouhaha/meshlab/meshlab-1.2.2-1.fc12.src.rpm
Koji scratch build for F12: http://koji.fedoraproject.org/koji/taskinfo?taskID=1960193

Description:
MeshLab is an open source, portable, and extensible system for the processing and editing of unstructured 3D triangular meshes.  The system is aimed to help the processing of the typical not-so-small unstructured models arising in 3D scanning, providing a set of tools for editing, cleaning, healing, inspecting, rendering and converting these kinds of meshes.

Comment 1 Martin Gieseking 2010-04-01 08:58:54 UTC
Hi Eric,

you've done a good job setting up this big package. Here are a couple of things I've noticed so far:

- change the Source0 URL to 
  http://downloads.sourceforge.net/%{name}/MeshLabSrc_v122.tar.gz
  (see https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net)

- the following doc files use the ISO-8859-1 character set:
  meshlab/docs/contrib_Gangemi_Vannini.txt
  meshlab/docs/contrib_Buzzelli_Mazzanti.txt

  convert them to UTF-8, e.g. with:
  cd meshlab/docs/
  for f in contrib_Gangemi_Vannini.txt contrib_Buzzelli_Mazzanti.txt; do
    iconv -fiso88591 -tutf8 $f >$f.new
    touch -r $f $f.new
    mv $f.new $f
  done

- I suggest to add trailing slashes after folder names in the %files section:
  %{_libdir}/meshlab/
  %{_datadir}/meshlab/
  This way it's easier to see that directories are added and not single files

Comment 2 Eric Smith 2010-04-07 00:49:31 UTC
Thanks for the suggestions.  I've updated the spec.

Spec URL: http://fedorapeople.org/~brouhaha/meshlab/meshlab.spec
SRPM URL:
http://fedorapeople.org/~brouhaha/meshlab/meshlab-1.2.2-2.fc12.src.rpm
Koji scratch build for F13:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2098669

Comment 3 Susi Lehtola 2010-04-07 07:32:47 UTC
Note that you can use
 %{_qt4_qmake}
to call QT4 qmake.

The
 %{_mandir}/man1/*
looks a bit dangerous, please be more specific. For instance 
 %{_mandir}/man1/*.1.*
would already be a lot better.

Comment 4 Eric Smith 2010-04-07 14:58:48 UTC
Thanks for the suggestions.  I've updated the spec.

Spec URL: http://fedorapeople.org/~brouhaha/meshlab/meshlab.spec
SRPM URL:
http://fedorapeople.org/~brouhaha/meshlab/meshlab-1.2.2-3.fc12.src.rpm

Comment 5 Martin Gieseking 2010-04-28 19:12:13 UTC
The tarball contains a copy of getopt (/vcglib/wrap/system/getopt.*). As far as I see, it's not used but you should remove it in the %prep section to be sure. 

The source files in meshlab/src/meshlabplugins/filter_poisson/src are licensed under a variant of the BSD license. Some of the shaders are also licensed under BSD. Hence, the license of the package is "GPLv2+ and BSD".

The license file meshlab/src/meshlabplugins/filter_poisson/license.txt must be added to %doc.

Finally, there's a typo in a comment of the spec file: backage => package :)

Comment 6 Eric Smith 2010-05-04 13:19:58 UTC
Updated again per your suggestions, thanks!

Spec URL: http://fedorapeople.org/~brouhaha/meshlab/meshlab.spec
SRPM URL:
http://fedorapeople.org/~brouhaha/meshlab/meshlab-1.2.2-4.fc12.src.rpm

Comment 7 Martin Gieseking 2010-05-11 09:22:43 UTC
Upstream has released meshlab version 1.2.3. Would you like to update the package? If nobody else volunteers to do the formal review, I'll do it as soon as my time permits.

Comment 8 Eric Smith 2010-05-12 06:51:40 UTC
The new upstream tarball looks like quite a mess.  There seem to be redundant copies of sources in various directories.  I'm not sure what's going on there.

I'll have to try to package the tsai library first.

There's a bunch of stuff out of "Structure Synth", but it looks like the upstream of that doesn't build it as a library, so I'm not sure whether to try to do that.

If you don't mind reviewing 1.2.2, I'd like to push forward with that while I work on 1.2.3.

Thanks!
Eric

Comment 9 Martin Gieseking 2010-05-12 17:55:46 UTC
(In reply to comment #8)
> If you don't mind reviewing 1.2.2, I'd like to push forward with that while I
> work on 1.2.3.

That's OK for me. I checked everything again, and couldn't find any further things to be fixed. The package looks fine now.


$ rpmlint meshlab-*.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum MeshLabSrc_v122.tar.gz*
    f06107dd01cbe0d6519dbb759ae84c11  MeshLabSrc_v122.tar.gz
    f06107dd01cbe0d6519dbb759ae84c11  MeshLabSrc_v122.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    koji scratch build:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2183294

[.] MUST: If the package does not successfully compile, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly. 
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix ...
[.] MUST: devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file.
[+] MUST: .desktop files must be properly installed with desktop-file-install in the %install section
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[+] SHOULD: The reviewer should test that the package builds in mock.
    - builds in mock (but it takes ages :)

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. 
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Subpackages other than devel should require the base package.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.

----------------
Package APPROVED
----------------

Comment 10 Eric Smith 2010-05-12 21:56:11 UTC
New Package CVS Request
=======================
Package Name: meshlab
Short Description: A system for processing and editing unstructured 3D triangular meshes
Owners: brouhaha
Branches: F-12 F-13

Comment 11 Dennis Gilmore 2010-05-13 22:30:12 UTC
CVS Done

Comment 12 Fedora Update System 2010-05-13 23:36:25 UTC
meshlab-1.2.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/meshlab-1.2.2-4.fc13

Comment 13 Fedora Update System 2010-05-13 23:36:31 UTC
meshlab-1.2.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/meshlab-1.2.2-4.fc12

Comment 14 Fedora Update System 2010-05-15 20:34:34 UTC
meshlab-1.2.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-05-15 20:41:21 UTC
meshlab-1.2.2-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Eric Smith 2012-03-12 19:17:25 UTC
Package Change Request
======================
Package Name: meshlab
New Branches: el6
Owners: brouhaha

Comment 17 Gwyn Ciesla 2012-03-12 19:51:10 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.